from guardian.shortcuts import get_objects_for_user
from rest_framework import serializers

from apps.MySU.models import Association


class AssociationField(serializers.HyperlinkedRelatedField):
    """
    When working with the hyperlink related field through the Clickable API provided by DRF, it is a little
    annoying that all association are able to be selected, whilst just the ones a user is board at can effectively be
    selected. This removes that annoyance.

    # TODO We should remove this though, since it only adds db queries whilst we are not really using the Clickable API
    anyways
    """
    def get_queryset(self):
        user = self.context['request'].user
        return get_objects_for_user(user, 'board', Association)
