import logging

from django.conf import settings

from .google_api import GoogleApi


class GoogleMail:
    """
    This class is a wrapper around the GoogleApi class for Gmail.
   """

    def __init__(self):
        self._api = None
        self.log = logging.getLogger("Gmail")

    @property
    def api(self):
        if self._api is None:
            self._api = GoogleApi.gmail()
            self._api.with_service_account_file(
                settings.GOOGLE_API_GMAIL_SERVICE_ACCOUNT_FILE,
                settings.GOOGLE_API_GMAIL_SERVICE_ACCOUNT_EMAIL
            )
        return self._api
