from MySU.settings.base import *

CSRF_COOKIE_SECURE = True
SESSION_COOKIE_SECURE = True
CSRF_COOKIE_HTTPONLY = True
SECURE_SSL_REDIRECT = True
SECURE_HSTS_SECONDS = 31536000
SECURE_HSTS_PRELOAD = True

ALLOWED_HOSTS = ['pilot.sun.utwente.nl', 'pilot.sun-dev.utsp.utwente.nl']

SITE_URL = 'https://pilot.sun.utwente.nl'

LOGIN_REDIRECT_URL_FAILURE = SITE_URL
LOGIN_REDIRECT_URL = SITE_URL
LOGOUT_REDIRECT_URL = SITE_URL

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.postgresql_psycopg2',
        'NAME': os.environ.get('PILOT_DATABASE_NAME', ''),
        'USER': os.environ.get('PILOT_DATABASE_USER', ''),
        'PASSWORD': os.environ.get('PILOT_DATABASE_PASSWORD', ''),
        'HOST': os.environ.get('PILOT_DATABASE_HOST', ''),
        'PORT': os.environ.get('PILOT_DATABASE_PORT', ''),
    }
}
SECRET_KEY = os.environ.get('PILOT_SECRET_KEY', '')
