"""
WSGI config for MySU project.

It exposes the WSGI callable as a module-level variable named ``application``.

For more information on this file, see
https://docs.djangoproject.com/en/dev/howto/deployment/wsgi/
"""
import os
import socket

from django.core.wsgi import get_wsgi_application

HOSTNAME = socket.gethostname()
if HOSTNAME.startswith("runner"):
    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.test")
elif HOSTNAME in ('sun.snt.utwente.nl', 'venus'):
    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.develop")
elif HOSTNAME in ('linux401', 'mars'):
    if "api" in os.path.dirname(os.path.realpath(__file__)):
        os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.production")
    else:
        os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.pilot")
else:
    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.local")

application = get_wsgi_application()
