## This file provides information about the most imperative files, and the file structure of the API.

### This app is divided into following components:
- admin **[Folder]** - contains configurations related to the Django Admin interface.
- fixtures **[Folder]** - contains predefined data that populates Django Database. 
- migrations **[Folder]** - contains changes to the APIs database scheme. 
- mixins **[Folder]** - contains classes and utilities that provide reusable functionality for views/viewsets and serializers within API.
- models **[Folder]** - contains classes that define the data models representing the structure of the application's database tables.
- serializers **[Folder]** - contains classes that define how data models are converted to and from JSON/XML types.
- views **[Folder]** - contains classes responsible for processing incoming HTTP requests and returning HTTP responses.
- viewsets **[Folder]** - viewsets are more versatile (and commonly used here) classes that serve the same purpose as views.
- apps **[Class]** - used to set the name for the application.
- urls **[Class]** - contains custom URL configuration that links the app to the base django project.

### The API processes following data:
- **matchings**
- **events**
- **event_types**
- **enrollments**
- **enrollment_options**
- **users**
- **profiles**
- **institutions**
- **studyrecords**
- **studies**
- **associations**
- **association_data**
- **association_data_fields**
- **notifications**
- **memberships**
- **membertypes**
- **modules**
- **news**
- **groups**
- **group_memberships**
- **emails**
- **debt_collections**
- **invoices**
- **sepa_mandates**

# In general the most imperative components of this app are: Models, Serializers and Viewsets. 

## **Viewsets** 
### Are responsible for the logic of the backend and the frontend.

## Models 
### Allow to change the data models within the Django Database.

## Serializers 
### Allow to parse the incoming and outgoing HTTP traffic into JSON datatype.
