from django.contrib import admin

from apps.MySU.models import GroupMembership


@admin.register(GroupMembership)
class GroupMembershipAdmin(admin.ModelAdmin):
    list_display = (
        'user',
        'django_group',
    )
    search_fields = (
        'user',
    )
    list_filter = (
        'archived',
        'date_joined',
        'date_left',
    )

    def get_readonly_fields(self, request, obj=None):
        if obj:
            return (
                'user',
                'django_group',
            )
        else:
            return ()
