from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter
from guardian.models import GroupObjectPermission


@admin.register(GroupObjectPermission)
class GroupObjectPermissionAdmin(admin.ModelAdmin):
    list_display = (
        'group',
        'permission',
    )
    search_fields = (
        'group',
    )
    list_filter = (
        ('group', RelatedDropdownFilter),
    )

    def formfield_for_foreignkey(self, db_field, request=None, **kwargs):
        field = super(GroupObjectPermissionAdmin, self).formfield_for_foreignkey(db_field, request, **kwargs)
        field.queryset = field.queryset.select_related()
        return field
