from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter
from guardian.models import UserObjectPermission


@admin.register(UserObjectPermission)
class UserObjectPermissionAdmin(admin.ModelAdmin):
    list_display = (
        'user',
        'permission',
    )
    search_fields = (
        'user',
    )
    list_filter = (
        ('user', RelatedDropdownFilter),
    )

    def formfield_for_foreignkey(self, db_field, request=None, **kwargs):
        field = super(UserObjectPermissionAdmin, self).formfield_for_foreignkey(db_field, request, **kwargs)
        field.queryset = field.queryset.select_related()
        return field
