# Generated by Django 2.2.13 on 2020-12-30 18:38
import django.core.validators
import django.db.models.deletion
from django.db import migrations
from django.db import models

import MySU.fields.yearlessdate
import MySU.objects.yearlessdate


class Migration(migrations.Migration):

    dependencies = [
        ('MySU', '0003_auto_20201218_1516'),
    ]

    operations = [
        migrations.AddField(
            model_name='association',
            name='debt_collection_threshold',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)]),
        ),
        migrations.AddField(
            model_name='association',
            name='discord',
            field=models.CharField(blank=True, max_length=100),
        ),
        migrations.AddField(
            model_name='association',
            name='postal_city',
            field=models.CharField(blank=True, max_length=50),
        ),
        migrations.AddField(
            model_name='association',
            name='postal_zipcode',
            field=models.CharField(blank=True, max_length=10),
        ),
        migrations.AddField(
            model_name='association',
            name='whatsapp',
            field=models.CharField(blank=True, max_length=20),
        ),
        migrations.AddField(
            model_name='membershipfee',
            name='fee',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)]),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='membertype',
            name='helper_text',
            field=models.TextField(blank=True, default='', max_length=200),
        ),
        migrations.AddField(
            model_name='membertype',
            name='order',
            field=models.PositiveSmallIntegerField(default=1),
        ),
        migrations.AlterField(
            model_name='debtcollection',
            name='amount',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)]),
        ),
        migrations.AlterField(
            model_name='debtentry',
            name='total_price',
            field=models.DecimalField(decimal_places=2, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)]),
        ),
        migrations.AlterField(
            model_name='enrollment',
            name='debt_entry',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='enrollments', to='MySU.DebtEntry'),
        ),
        migrations.AlterField(
            model_name='enrollmentoption',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='enrollment_options', to='MySU.Event'),
        ),
        migrations.AlterField(
            model_name='enrollmentoption',
            name='participation_fee',
            field=models.DecimalField(decimal_places=2, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)]),
        ),
        migrations.AlterField(
            model_name='group',
            name='django_group',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='group', serialize=False, to='auth.Group'),
        ),
        migrations.AlterField(
            model_name='group',
            name='parent_group',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='MySU.Group'),
        ),
        migrations.AlterField(
            model_name='groupmembership',
            name='django_group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='groupmemberships', to='auth.Group'),
        ),
        migrations.AlterField(
            model_name='membertype',
            name='end_date',
            field=MySU.fields.yearlessdate.YearlessDateField(default=MySU.objects.yearlessdate.YearlessDate(8, 31), max_length=5),
        ),
        migrations.AlterField(
            model_name='membertype',
            name='membership_fee',
            field=models.DecimalField(decimal_places=2, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)]),
        ),
        migrations.AlterField(
            model_name='membertype',
            name='start_date',
            field=MySU.fields.yearlessdate.YearlessDateField(default=MySU.objects.yearlessdate.YearlessDate(9, 1), max_length=5),
        ),
    ]
