from django.db import migrations


def forwards_func(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    Association = apps.get_model("MySU", "Association")
    Modules = apps.get_model("MySU", "Modules")
    db_alias = schema_editor.connection.alias

    associations = Association.objects.using(db_alias).all()
    Modules.objects.using(db_alias).bulk_create(
        [ Modules(association=association) for association in associations ]
    )


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('MySU', '0041_modules'),
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
    ]
