import uuid

from django.db import models


class BannerQuerySet(models.QuerySet):
    pass


class BannerManager(models.Manager):
    def get_queryset(self):
        return BannerQuerySet(self.model, using=self._db)


class Banner(models.Model):
    slug = models.SlugField(default=uuid.uuid4, editable=False)
    from_date = models.DateTimeField()
    till_date = models.DateTimeField()
    message = models.CharField(max_length=150)

    objects = BannerManager()

    class Meta:
        ordering = ["till_date"]
        verbose_name = "Banner"
        verbose_name_plural = "Banners"

    def __str__(self):
        return str(self.message)
