from django.db import models


class ContactInfo(models.Model):
    """
    Providing the contact fields for all entities. This is made an abstract class to ensure every model that needs
    contact info will have the same contact info. Abstract means it will not go into a Contact info database table,
    but the fields will be added to the model that extends this model.
    """

    class Meta:
        abstract = True

    phone_number = models.CharField(max_length=50, blank=True)
    address = models.CharField(max_length=100, blank=True)
    zip_code = models.CharField(max_length=20, blank=True)
    city = models.CharField(max_length=50, blank=True)
    country = models.CharField(max_length=50, blank=True)
