from autoslug import AutoSlugField
from django.db import models
from simple_history.models import HistoricalRecords

from apps.MySU.models.contact_info import ContactInfo


class InstitutionQuerySet(models.QuerySet):
    pass


class InstitutionManager(models.Manager):
    def get_queryset(self):
        return InstitutionQuerySet(self.model, using=self._db)


class Institution(ContactInfo):
    """
    Members can study at various institutes and universities. This model exists so that users can be linked to the
    institute or university they study at.
    """
    slug = AutoSlugField(populate_from='short_name', always_update=True, unique=True)
    name = models.CharField(max_length=100)
    short_name = models.CharField(max_length=100)

    # history = HistoricalRecords()

    class Meta:
        verbose_name = "Institution"
        verbose_name_plural = "Institutions"

    def __str__(self):
        return self.short_name
