import uuid

from django.db import models


class Modules(models.Model):
    """
    Model that stores the booleans for which modules are enabled on the frontend.
    """
    slug = models.SlugField(default=uuid.uuid4, editable=False)
    association = models.OneToOneField(
        "MySU.association",
        on_delete=models.CASCADE,
        primary_key=True,
    )
    committees = models.BooleanField(default=True)
    disputed_members = models.BooleanField(default=True)
    documents = models.BooleanField(default=False)
    emails = models.BooleanField(default=False)
    events = models.BooleanField(default=False)
    inventory = models.BooleanField(default=False)
    matchings = models.BooleanField(default=False)
    news = models.BooleanField(default=False)
    partners = models.BooleanField(default=False)
    statistics = models.BooleanField(default=False)

    class Meta:
        verbose_name = "Modules"
        verbose_name_plural = "Modules"

    def __str__(self):
        return str(self.slug)
