import uuid

from django.db import models
from django.utils import timezone as tz

from apps.MySU.models import Association


class NewsQuerySet(models.QuerySet):
    pass


class NewsManager(models.Manager):
    def get_queryset(self):
        return NewsQuerySet(self.model, using=self._db)


class News(models.Model):
    slug = models.SlugField(default=uuid.uuid4, editable=False)
    date = models.DateTimeField(default=tz.now, blank=True)
    last_modified = models.DateTimeField(auto_now=True)
    title = models.CharField(max_length=150)
    text = models.TextField()

    association = models.ForeignKey(Association, related_name='news', on_delete=models.CASCADE, null=True, blank=True)

    objects = NewsManager()

    class Meta:
        verbose_name = "News"
        verbose_name_plural = "News"

    def __str__(self):
        return str(self.slug)

    def clean(self):
        pass
