import uuid

from django.db import models
from simple_history.models import HistoricalRecords

from apps.MySU.models import Institution


class StudyQuerySet(models.QuerySet):
    pass


class StudyManager(models.Manager):
    def get_queryset(self):
        return StudyQuerySet(self.model, using=self._db)


class Study(models.Model):
    """
    The users of the system are students. This models stores the studies the users have.
    """
    slug = models.SlugField(default=uuid.uuid4, editable=False)
    studycode = models.CharField(max_length=100)
    name = models.CharField(max_length=100)

    institution = models.ForeignKey(Institution, on_delete=models.PROTECT)

    objects = StudyManager()

    class Meta:
        verbose_name = "Study"
        verbose_name_plural = "Studies"

    def __str__(self):
        return "{institution} - {name}".format(institution=self.institution, name=self.name)
