'''Template for a model

This template is commented out, so that `python manage.py makemigrations does not make a migration.
When creating a new model, copy the following into a new file.

Replace {model} with the name class of the model you want to create.
The classname should be PascalCase, whilst the filename should be snake_case
For the verbose names use something that is nicely readible and verbose.
'''
# import datetime
# import uuid
#
# from autoslug import AutoSlugField
# from django.db import models
# from simple_history.models import HistoricalRecords
#
#
# class {model}QuerySet(models.QuerySet):
#     def query_function1(self):
#         pass
#
#     def query_function2(self):
#         pass
#
# class {model}Manager(models.Manager):
#     def get_queryset(self):
#         return {model}QuerySet(self.model, using=self._db)
#
#     def query_function1(self):
#         return self.get_queryset().query_function1()
#
#     def query_function2(self):
#         return self.get_queryset().query_function2()
#
#
# class {model}(models.Model):
#     slug = AutoSlugField(default=uuid.uuid4, editable=False, max_length=200, populate_from='name')
#     # other fields relating to this model
#
#     association = models.ForeignKey(Association, related_name='debt_collections', on_delete=models.PROTECT)
#     # other fields relating to other models
#
#     # Remove if historical changes are irrelevant
#     # history = HistoricalRecords()
#
#     objects = {model}Manager()
#
#     class Meta:
#         verbose_name = "{model}"
#         verbose_name_plural = "{model}s"
#
#     def __str__(self):
#         return str(self.slug)
#
#     def clean(self):
#         '''Database validation function
#
#         This bit contains properties this model should satisfy.
#         If for example the model has two dates and the second date has to be after the first, add the following:
#         if second_data < first_date:
#             raise ValidationError("First date should be before the second date")
#         '''
