from rest_framework import serializers

from apps.MySU.models import Group
from apps.MySU.models import GroupMembership
from apps.MySU.serializers.base import BaseSerializer
from apps.MySU.serializers.group import GroupSerializer


# TODO find better spot
class AssociationNestedBoardSerializer(BaseSerializer):
    given_name = serializers.ReadOnlyField(source='profile.given_name')
    surname = serializers.ReadOnlyField(source='profile.surname')

    class Meta:
        model = GroupMembership
        exclude = ('django_group', 'user', 'archived', 'association')
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'profile': {'lookup_field': 'slug'},
        }


# TODO find better spot
class AssociationNestedGroupsSerializer(GroupSerializer):
    association = None
    permissions = None
    groupmemberships = AssociationNestedBoardSerializer(many=True, read_only=True)

    class Meta:
        model = Group
        exclude = ('name', 'archived', 'association', 'permissions')
        extra_kwargs = {
            'parent_group': {'lookup_field': 'slug'},
            'url': {'lookup_field': 'slug'},
            'groupmemberships': {'lookup_field': 'slug',
                                 'read_only': 'read_only'}
        }
