from django.contrib.auth.models import Group as DjangoGroup
from rest_framework import serializers

from apps.MySU.models import SUNPermission
from apps.MySU.serializers.base import BaseSerializer


class DjangoGroupSerializerList(BaseSerializer):
    django_group_name = serializers.CharField(source='name')

    class Meta:
        model = DjangoGroup
        fields = ('url', 'django_group_name')


class DjangoGroupSerializer(BaseSerializer):
    permissions = serializers.SlugRelatedField(queryset=SUNPermission.objects.all(),
                                               slug_field='codename', many=True)
    django_group_name = serializers.CharField(source='name')

    class Meta:
        model = DjangoGroup
        exclude = ('name',)
