from django.core.mail import EmailMultiAlternatives
from rest_framework import serializers


class EmailSentSerializer(serializers.Serializer):
    from_email = serializers.EmailField(label="sender")
    to = serializers.ListField(label="receiver", child=serializers.EmailField(), min_length=1, allow_empty=False)
    subject = serializers.CharField(max_length=100)
    body = serializers.CharField(label="content")

    def create(self, validated_data) -> 'EmailMultiAlternatives':
        return EmailMultiAlternatives(**validated_data)
