from django.contrib.auth.models import ContentType
from django.contrib.auth.models import Permission
from guardian.models import GroupObjectPermission
from rest_framework import serializers

from apps.MySU.serializers.base import BaseSerializer


class GroupObjectPermissionSerializerList(BaseSerializer):
    permission = serializers.SlugRelatedField(queryset=Permission.objects.all(), slug_field='codename')

    class Meta:
        model = GroupObjectPermission
        fields = ('url', 'permission',)


class GroupObjectPermissionSerializer(BaseSerializer):
    permission = serializers.SlugRelatedField(queryset=Permission.objects.all(),
                                              slug_field='codename')
    content_type = serializers.SlugRelatedField(queryset=ContentType.objects.all(), slug_field='model')

    class Meta:
        model = GroupObjectPermission
        fields = '__all__'
