from apps.MySU.models import Notification
from apps.MySU.serializers.base import BaseSerializer
from MySU.fields.association import AssociationField


class NotificationSerializer(BaseSerializer):
    sender = AssociationField(view_name='association-detail', lookup_field='slug')

    class Meta:
        model = Notification
        exclude = ('receiver', )
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'sender': {'lookup_field': 'slug'},
            'to': {'lookup_field': 'slug'},
        }
        create_only_fields = ['to', 'sender', 'message']
        read_only_fields = ['date']
