from django.contrib.auth.models import ContentType
from django.contrib.auth.models import Permission
from drf_queryfields import QueryFieldsMixin
from rest_framework import serializers


class PermissionSerializerList(QueryFieldsMixin, serializers.ModelSerializer):
    permission = serializers.CharField(source="codename")

    class Meta:
        model = Permission
        fields = ('permission',)


class PermissionSerializer(QueryFieldsMixin, serializers.ModelSerializer):
    content_type = serializers.SlugRelatedField(queryset=ContentType.objects.all(), slug_field='name')

    class Meta:
        model = Permission
        fields = '__all__'
