from apps.MySU.models import StudyRecord
from apps.MySU.serializers.base import BaseSerializer


class StudyRecordSerializerList(BaseSerializer):
    class Meta:
        model = StudyRecord
        fields = ('url', 'student', 'institution')
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'student': {'lookup_field': 'slug'},
            'institution': {'lookup_field': 'slug'},
        }


class StudyRecordSerializer(BaseSerializer):
    class Meta:
        model = StudyRecord
        fields = '__all__'
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'study': {'lookup_field': 'slug'},
            'student': {'lookup_field': 'slug'},
            'institution': {'lookup_field': 'slug'},
        }
