from django.http import JsonResponse
from rest_framework import permissions
from rest_framework.views import APIView

from apps.MySU.models import AssociationMembership
from apps.MySU.models import Society


class SocietyView(APIView):
    http_method_names = ['get']
    permission_classes = (permissions.IsAuthenticated,)

    def get(self, request, **kwargs):
        user = request.user
        if not user.has_perm('society'):
            societies = Society.objects.all()

            for society in societies:
                society.number_of_members = AssociationMembership.objects.filter(association=society).current().count()
                society.number_of_active_members = AssociationMembership.objects.filter(association=society).current().active().count()
        else:
            return JsonResponse({
                'status': 'failed',
                'reason': "You do not have the permissions required to view the statistics of societies."
            })
        data = [{
            'name': society_.name,
            'number_of_members': society_.number_of_members,
            'number_of_active_members': society_.number_of_active_members
        } for society_ in societies]
        return JsonResponse({
            'data': data,
            'status': 'success',
        })
