from guardian.models import GroupObjectPermission
from rest_framework import viewsets
from rest_framework.permissions import BasePermission
from rest_framework.permissions import IsAuthenticated

from apps.MySU.serializers.group_object_permission import GroupObjectPermissionSerializer
from apps.MySU.serializers.group_object_permission import GroupObjectPermissionSerializerList


"""
----------------------------------------------------------------------------------------------------------------------
 GROUPOBJECTPERMISSION
----------------------------------------------------------------------------------------------------------------------

 GET:       None
 PUT/PATCH: None
 POST:      None
"""


class GroupObjectPermissionHttpPermissions(BasePermission):
    def has_object_permission(self, request, view, obj):
        if request.method == "PATCH" or request.method == "PUT":  # HANDLES THE UPDATE
            return False
        return True

    def has_permission(self, request, view):
        if request.method == "GET":  # HANDLES THE LIST
            return False
        if request.method == "POST":  # HANDLES THE CREATION/INSERTION
            return False
        return True


class GroupObjectPermissionViewSet(viewsets.ModelViewSet):
    queryset = GroupObjectPermission.objects.none()
    serializer_class = GroupObjectPermissionSerializer
    ordering = ('id',)
    permission_classes = (IsAuthenticated, GroupObjectPermissionHttpPermissions,)
    http_method_names = ['get', 'post', 'put', 'patch', 'head', 'options']

    def get_serializer_class(self):
        if self.action == 'retrieve':
            return GroupObjectPermissionSerializer
        elif self.action == 'list':
            return GroupObjectPermissionSerializerList
        return GroupObjectPermissionSerializer
