from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.calendar.models import Event


@admin.register(Event)
class EventAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
        ('type', RelatedDropdownFilter),
    )
    list_display = (
        "name",
        "association",
        "start_date",
        "end_date",
        "type",
        "public",
        "enrollable",
        "unenrollable",
    )
    list_display_links = (
        "name",
        'association',
        "type",
    )
