# Generated by Django 2.2.13 on 2021-04-03 21:05
import uuid

import django.core.validators
import django.db.models.deletion
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('financial', '0001_initial'),
        ('MySU', '0018_auto_20210403_2105'),
    ]

    operations = [
        migrations.CreateModel(
            name='Enrollment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=uuid.uuid4, editable=False)),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='MySU.Association')),
                ('debt_entry', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='enrollments', to='financial.DebtEntry')),
            ],
            options={
                'verbose_name_plural': 'Enrollments',
            },
        ),
        migrations.CreateModel(
            name='EventType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=uuid.uuid4, editable=False)),
                ('type', models.CharField(max_length=200)),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='event_types', to='MySU.Association')),
            ],
            options={
                'verbose_name_plural': 'EventTypes',
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=uuid.uuid4, editable=False)),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField(blank=True, null=True)),
                ('start_date', models.DateTimeField()),
                ('end_date', models.DateTimeField()),
                ('enrollable', models.NullBooleanField(default=False)),
                ('enrollable_from', models.DateTimeField(blank=True, null=True)),
                ('enrollable_until', models.DateTimeField(blank=True, null=True)),
                ('unenrollable', models.NullBooleanField(default=False)),
                ('unenrollable_until', models.DateTimeField(blank=True, null=True)),
                ('max_number_of_enrollments', models.PositiveIntegerField(blank=True, null=True)),
                ('public', models.BooleanField(default=False)),
                ('location', models.CharField(blank=True, max_length=100)),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='MySU.Association')),
                ('attendants', models.ManyToManyField(related_name='enrolled_events', through='calendar.Enrollment', to='MySU.Profile')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='calendar.EventType')),
            ],
            options={
                'verbose_name_plural': 'Events',
            },
        ),
        migrations.CreateModel(
            name='EnrollmentOption',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=uuid.uuid4, editable=False)),
                ('name', models.CharField(max_length=100)),
                ('participation_fee', models.DecimalField(decimal_places=2, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)])),
                ('description', models.TextField(blank=True)),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='enrollment_options', to='MySU.Association')),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='enrollment_options', to='calendar.Event')),
            ],
            options={
                'verbose_name_plural': 'EnrollmentOptions',
                'unique_together': {('name', 'event')},
            },
        ),
        migrations.AddField(
            model_name='enrollment',
            name='enrollment_option',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='enrollments', to='calendar.EnrollmentOption'),
        ),
        migrations.AddField(
            model_name='enrollment',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='enrollments', to='calendar.Event'),
        ),
        migrations.AddField(
            model_name='enrollment',
            name='profile',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='enrollments', to='MySU.Profile'),
        ),
        migrations.AlterUniqueTogether(
            name='enrollment',
            unique_together={('profile', 'event')},
        ),
    ]
