from django.core.exceptions import ValidationError

from apps.calendar.models import EnrollmentOption
from apps.MySU.serializers.base import BaseSerializer


class EnrollmentOptionSerializer(BaseSerializer):
    class Meta:
        model = EnrollmentOption
        fields = '__all__'
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'association': {'lookup_field': 'slug'},
            'event': {'lookup_field': 'slug'},
        }
        create_only_fields = ['association', 'event']
        nested_fields = ['association']

    def validate(self, attrs):
        attrs = super(EnrollmentOptionSerializer, self).validate(attrs)

        errors = {}
        if self.instance is None:
            if attrs['association'] != attrs['event'].association:
                errors["event"] = "Event doesn't belong to provided association"
        if errors:
            raise ValidationError(errors)
        return attrs
