from django.conf.urls import url
from django.urls import path, include
from rest_framework.routers import DefaultRouter

from apps.calendar.views.enrollments_emails import EmailEnrollmentsView
from apps.calendar.viewsets.enrollment import EnrollmentViewSet
from apps.calendar.viewsets.enrollment_option import EnrollmentOptionViewSet
from apps.calendar.viewsets.event import EventViewSet
from apps.calendar.viewsets.eventtype import EventTypeViewSet

router = DefaultRouter()
router.register(r'events', EventViewSet, basename='event')
router.register(r'event_types', EventTypeViewSet)
router.register(r'enrollments', EnrollmentViewSet)
router.register(r'enrollment_options', EnrollmentOptionViewSet)

urlpatterns = [
    url(r'^enrollments/email', EmailEnrollmentsView.as_view(), name='enrollements-email'),
]

