from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.financial.models import DebtCollection


@admin.register(DebtCollection)
class DebtCollectionAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
    )
    list_display = (
        "association",
        "creation_date",
        "debt_collection_date",
        "amount",
        "locked",
    )
    list_display_links = (
        "creation_date",
    )
