from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.financial.models import DebtEntry


@admin.register(DebtEntry)
class DebtEntryAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
    )
    list_display = (
        "association",
        "total_price",
        "debt_collection",
        "profile",
    )
    list_display_links = (
        "total_price",
    )
