from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.financial.models import Invoice


@admin.register(Invoice)
class InvoiceAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
        ('debt_entry', RelatedDropdownFilter),
        ('profile', RelatedDropdownFilter),
    )
    list_display = (
        "slug",
        "reason",
        "price",
        "profile",
        "association",
        "debt_entry",
    )
    list_display_links = (
        "slug",
        "profile",
        "association",
        "debt_entry",
    )
