# Generated by Django 2.2.13 on 2021-04-03 21:05
import uuid

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('MySU', '0018_auto_20210403_2105'),
    ]

    operations = [
        migrations.CreateModel(
            name='DebtCollection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=uuid.uuid4, editable=False)),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('debt_collection_date', models.DateTimeField()),
                ('locked', models.BooleanField(default=False)),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)])),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='debt_collections', to='MySU.Association')),
            ],
            options={
                'verbose_name': 'Debt collection',
                'verbose_name_plural': 'Debt collections',
                'ordering': ['debt_collection_date'],
            },
        ),
        migrations.CreateModel(
            name='DebtEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=uuid.uuid4, editable=False)),
                ('total_price', models.DecimalField(decimal_places=2, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)])),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='debt_entries', to='MySU.Association')),
                ('debt_collection', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='debt_entries', to='financial.DebtCollection')),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='debt_entries', to='MySU.Profile')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='debt_entries', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Debt Entry',
                'verbose_name_plural': 'Debt Entries',
            },
        ),
        migrations.CreateModel(
            name='MembershipFee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=uuid.uuid4, editable=False)),
                ('fee', models.DecimalField(decimal_places=2, max_digits=5, validators=[django.core.validators.MinValueValidator(0.0)])),
                ('payments', models.PositiveIntegerField(help_text='Use the following format: <YYYY>', validators=[django.core.validators.MinValueValidator(1900), django.core.validators.MaxValueValidator(2021)])),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='membership_fees', to='MySU.Association')),
                ('association_membership', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='membership_fees', to='MySU.AssociationMembership')),
                ('debt_entry', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='membership_fees', to='financial.DebtEntry')),
                ('membertype', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='membership_fees', to='MySU.MemberType')),
            ],
            options={
                'verbose_name': 'Membership fee',
                'verbose_name_plural': 'Membership fees',
            },
        ),
        migrations.CreateModel(
            name='Invoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=uuid.uuid4, editable=False)),
                ('reason', models.CharField(max_length=120)),
                ('price', models.DecimalField(decimal_places=2, max_digits=6, validators=[django.core.validators.MinValueValidator(0.0)])),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='invoices', to='MySU.Association')),
                ('debt_entry', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='invoices', to='financial.DebtEntry')),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='invoices', to='MySU.Profile')),
            ],
            options={
                'verbose_name': 'Invoice',
                'verbose_name_plural': 'Invoices',
            },
        ),
    ]
