# Generated by Django 3.2.5 on 2022-01-12 13:57
import uuid

import django.core.validators
import django.db.models.deletion
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):

    dependencies = [
        ('MySU', '0035_auto_20220112_1357'),
        ('financial', '0008_populate_bank_account_name'),
    ]

    operations = [
        migrations.AddField(
            model_name='debtentry',
            name='paid_by',
            field=models.CharField(choices=[('Invoice', 'Invoice'), ('Debt collection', 'Debt collection')], default='Debt collection', max_length=20),
        ),
        migrations.AlterField(
            model_name='membershipfee',
            name='payments',
            field=models.PositiveIntegerField(help_text='Use the following format: <YYYY>', validators=[django.core.validators.MinValueValidator(1900), django.core.validators.MaxValueValidator(2022)]),
        ),
        migrations.CreateModel(
            name='SepaMandate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mandate_id', models.UUIDField(default=uuid.uuid4)),
                ('signature_date', models.DateField(blank=True, null=True)),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sepa_mandates', to='MySU.association')),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sepa_mandates', to='MySU.profile')),
            ],
            options={
                'verbose_name': 'Sepa Mandate',
                'verbose_name_plural': 'Sepa Mandates',
            },
        ),
        migrations.AddField(
            model_name='debtentry',
            name='sepa_mandate',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='debt_entries', to='financial.sepamandate'),
        ),
    ]
