from django.db import models


class BankAccount(models.Model):
    """
    Bank details for a profile. Stored in a separate model to get a consistent database, that allows for changes in bank details.
    """
    name = models.CharField(max_length=100, blank=True)
    iban = models.CharField(max_length=100, blank=True)
    bic = models.CharField(max_length=100, blank=True, default="")

    class Meta:
        verbose_name = "Bank account"
        verbose_name_plural = "Bank accounts"

    def __str__(self):
        return f"{self.iban}"
