from django.db import models


class CancellationQuerySet(models.QuerySet):
    pass


class CancellationManager(models.Manager):
    def get_queryset(self):
        return CancellationQuerySet(self.model, using=self._db)


class Cancellation(models.Model):
    debt_collection = models.ForeignKey("financial.DebtCollection", related_name='cancellations', on_delete=models.CASCADE)
    cancelled_debt_collection = models.ForeignKey("financial.DebtCollection", related_name='cancellations', on_delete=models.CASCADE)
    association = models.ForeignKey("MySU.Association", related_name='cancellations', on_delete=models.CASCADE)
    profile = models.ForeignKey("MySU.Profile", related_name='cancellations', on_delete=models.CASCADE)

    objects = CancellationManager()

    class Meta:
        verbose_name = "Cancellations"
        verbose_name_plural = "Cancellations"

    def __str__(self):
        return str(self.id)
