import uuid

from django.db import models


class SepaMandateQuerySet(models.QuerySet):
    pass


class SepaMandateManager(models.Manager):
    def get_queryset(self):
        return SepaMandateQuerySet(self.model, using=self._db)


class SepaMandate(models.Model):
    slug = models.SlugField(default=uuid.uuid4, editable=False)
    mandate_id = models.UUIDField(default=uuid.uuid4)
    signature_date = models.DateField(null=True, blank=True)
    withdrawal_date = models.DateField(null=True, blank=True)

    association = models.ForeignKey("MySU.Association", related_name='sepa_mandates', on_delete=models.CASCADE)
    profile = models.ForeignKey("MySU.Profile", related_name='sepa_mandates', on_delete=models.CASCADE)

    objects = SepaMandateManager()

    class Meta:
        verbose_name = "Sepa Mandate"
        verbose_name_plural = "Sepa Mandates"

    def __str__(self):
        return str(self.mandate_id)
