from django.core.exceptions import ValidationError

from apps.financial.models import SepaMandate
from apps.MySU.serializers.base import BaseSerializer
from MySU.fields.association import AssociationField


class SepaMandateSerializer(BaseSerializer):
    association = AssociationField(view_name='association-detail', lookup_field='slug')

    class Meta:
        model = SepaMandate
        fields = ('url', 'slug', 'mandate_id', 'signature_date', 'withdrawal_date', 'association', 'profile')
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'association': {'lookup_field': 'slug'},
            'profile': {'lookup_field': 'slug'},
        }
