from django.conf.urls import url
from rest_framework.routers import DefaultRouter

from apps.financial.views.debt_collection_detail import DebtCollectionDetail
from apps.financial.views.debt_entry_detail import DebtEntryDetail
from apps.financial.viewsets.debt_collection import DebtCollectionViewSet
from apps.financial.viewsets.debt_entry import DebtEntryViewSet
from apps.financial.viewsets.invoice import InvoiceViewSet
from apps.financial.viewsets.sepa_mandate import SepaMandateViewSet

router = DefaultRouter()
router.register(r'debt_collections', DebtCollectionViewSet)
router.register(r'debt_entries', DebtEntryViewSet)
router.register(r'invoices', InvoiceViewSet)
router.register(r'sepa_mandates', SepaMandateViewSet)

urlpatterns = [
    url(r'^debt_collections/(?P<slug>[^/.]+)/detail', DebtCollectionDetail.as_view(),
        name='debt_collections__detail'),
    url(r'^debt_entries/(?P<slug>[^/.]+)/detail', DebtEntryDetail.as_view(),
        name='debt_collections__detail'),
]
