import json

from django.utils import timezone

"""
----------------------------------------------------------------------------------------------------------------------
 PREDETERMINED
----------------------------------------------------------------------------------------------------------------------
"""
enrollment_options_array = []
enrollments_array = []
events_array = []
event_types_array = []
"""
--------------------------------------
 SU
--------------------------------------
"""
event_types_array.append({
    "model": "MySU.eventtype",
    "pk": 1,
    "fields": {
        "slug": "89ac22dc-5a71-4fac-8af4-5844b7eb71a1",
        "association": 1,
        "type": "gezelligheid"
    }
})
enrollment_options_array.append({
    "model": "MySU.enrollmentoption",
    "pk": 1,
    "fields": {
        "slug": "89ac22dc-5a71-4fac-8af4-5844b7eb71a1",
        "association": 1,
        'event': 1,
        'name': 'Baker',
        'participation_fee': 0
    }
})
enrollments_array.append({
    "model": "MySU.enrollment",
    "pk": 1,
    "fields": {
        "slug": "89ac22dc-5a71-4fac-8af4-5844b7eb71a1",
        "association": 1,
        'debt_entry': 1,
        'enrollment_option': 1,
        'event': 1,
        'user': 3,
        'profile': 3
    }
})
events_array.extend([
    {
        "model": "MySU.event",
        "pk": 1,
        "fields": {
            "slug": "ebbf1381-5bf3-428d-a6cf-96039911a170",
            "association": 1,
            'name': 'Pi day',
            'description': 'Bake your best pie and eat pie all day ^^',
            'start_date': str(timezone.datetime(2020, 3, 14)),
            'end_date': str(timezone.datetime(2020, 3, 14)),
            'enrollable': True,
            'enrollable_from': str(timezone.datetime(2020, 2, 28)),
            'enrollable_until': str(timezone.datetime(2020, 3, 14)),
            'unenrollable': True,
            'unenrollable_until': str(timezone.datetime(2020, 3, 7)),
            'public': False,
            'max_number_of_enrollments': 0,
            'type': 1
        }
    },
    {
        "model": "MySU.event",
        "pk": 2,
        "fields": {
            "slug": "89ac22dc-5a71-4fac-8af4-5844b7eb71a1",
            "association": 1,
            'name': "New Year's day",
            'description': 'Bake your best pie and eat pie all day ^^',
            'start_date': str(timezone.datetime(2020, 1, 1)),
            'end_date': str(timezone.datetime(2020, 1, 2)),
            'type': 1,
            'public': True
        }
    }
])
"""
--------------------------------------
 HELIOS
--------------------------------------
"""
event_types_array.append({
    "model": "MySU.eventtype",
    "pk": 2,
    "fields": {
        "slug": 'e3775f3f-7c0b-417b-821c-a16d474ddda5',
        "association": 2,
        "type": "games"
    }
})
enrollment_options_array.extend([
    {
        "model": "MySU.enrollmentoption",
        "pk": 2,
        "fields": {
            "slug": 'e3775f3f-7c0b-417b-821c-a16d474ddda5',
            "association": 2,
            "event": 4,
            "name": "Goalie",
            "participation_fee": 0.48
        }
    },
    {
        "model": "MySU.enrollmentoption",
        "pk": 3,
        "fields": {
            "slug": 'e3775f3f-7c0b-417b-821c-a16d474ddda5',
            "association": 2,
            "event": 4,
            "name": "Attacker",
            "participation_fee": 0.50
        }
    }
])
enrollments_array.append({
    "model": "MySU.enrollment",
    "pk": 2,
    "fields": {
        "slug": 'e3775f3f-7c0b-417b-821c-a16d474ddda5',
        "association": 2,
        'enrollment_option': 2,
        'event': 4,
        'user': 3,
        'profile': 3
    }
})
events_array.extend([
    {
        "model": "MySU.event",
        "pk": 3,
        "fields": {
            "slug": 'e3775f3f-7c0b-417b-821c-a16d474ddda5',
            "association": 2,
            'name': 'Hearts tournament',
            'description': 'Think of your best pick up lines and see if you can capture the most hearts',
            'start_date': str(timezone.datetime(2020, 3, 14)),
            'end_date': str(timezone.datetime(2020, 3, 14)),
            'type': 2
        }
    }, {
        "model": "MySU.event",
        "pk": 4,
        "fields": {
            "slug": '8331c272-825d-4d6a-abd7-4f39fd964322',
            "association": 2,
            'name': 'Knotsbal tournament',
            'description': 'Beat your way to victory',
            'start_date': str(timezone.datetime(2020, 4, 1)),
            'end_date': str(timezone.datetime(2020, 4, 1)),
            'public': True,
            'enrollable': True,
            'enrollable_from': str(timezone.datetime(2020, 2, 28)),
            'enrollable_until': str(timezone.datetime(2020, 4, 1)),
            'type': 2
        }
    }
])
"""
--------------------------------------
 RA
--------------------------------------
"""
event_types_array.append({
    "model": "MySU.eventtype",
    "pk": 3,
    "fields": {
        "slug": 'eabf5cec-045a-49df-a69e-b0032e144462',
        "association": 3,
        "type": "drinks"
    }
})
enrollment_options_array.extend([
    {
        "model": "MySU.enrollmentoption",
        "pk": 4,
        "fields": {
            "slug": 'eabf5cec-045a-49df-a69e-b0032e144462',
            "association": 3,
            "event": 5,
            "name": "Bierestafette",
            "participation_fee": 3.00
        }
    },
    {
        "model": "MySU.enrollmentoption",
        "pk": 5,
        "fields": {
            "slug": 'fc753977-8a99-4905-a453-c9eeb0df3830',
            "association": 3,
            "event": 6,
            "name": "Pizza",
            "participation_fee": 5.50
        }
    }
])
# enrollments_array.append()
events_array.extend([
    {
        "model": "MySU.event",
        "pk": 5,
        "fields": {
            "slug": 'eabf5cec-045a-49df-a69e-b0032e144462',
            "association": 3,
            'name': 'Mario Krat',
            'description': 'Think of your best pick up lines and see if you can capture the most hearts',
            'start_date': str(timezone.datetime(2020, 10, 14)),
            'end_date': str(timezone.datetime(2020, 10, 14)),
            'enrollable': True,
            'enrollable_from': str(timezone.datetime(2020, 2, 28)),
            'enrollable_until': str(timezone.datetime(2020, 10, 14)),
            'type': 3
        }
    }, {
        "model": "MySU.event",
        "pk": 6,
        "fields": {
            "slug": 'fc753977-8a99-4905-a453-c9eeb0df3830',
            "association": 3,
            'name': 'Karaoke',
            'description': 'Show your singing skills in this epic contest',
            'start_date': str(timezone.datetime(2020, 7, 4)),
            'end_date': str(timezone.datetime(2020, 7, 4)),
            'public': True,
            'enrollable': True,
            'enrollable_from': str(timezone.datetime(2020, 2, 28)),
            'enrollable_until': str(timezone.datetime(2020, 7, 4)),
            'unenrollable': True,
            'unenrollable_until': str(timezone.datetime(2020, 7, 3)),
            'type': 3
        }
    }
])

fixture_dir = "preset"
# with open('./MySU/fixtures/{}/enrollment_option.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(enrollment_options_array, json_file, indent=4)
# with open('./MySU/fixtures/{}/enrollment.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(enrollments_array, json_file, indent=4)
# with open('./MySU/fixtures/{}/event.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(events_array, json_file, indent=4)
# with open('./MySU/fixtures/{}/event_type.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(event_types_array, json_file, indent=4)
