import json
import random
import uuid

from faker import Faker

fake = Faker('nl_NL')
status_types = ['Accepted', 'Rejected', 'Deleted', "Pending", "Claimed"]
number_of_association = 150
user_association_combinations = [(a, x) for a in range(1, number_of_association) for x in range(6, 1000)]
random.shuffle(user_association_combinations)
user_association_sample = random.sample(user_association_combinations, 5000)


"""
----------------------------------------------------------------------------------------------------------------------
 PREDETERMINED
----------------------------------------------------------------------------------------------------------------------
"""
assoc_mem_array = [
    {
        "model": "core.associationmembership",
        "pk": 1,
        "fields": {
            "slug": "382d5570-5855-4bd7-90bd-17e575916cde",
            "user": 2,
            "profile": 2,
            "association": 1,
            "type": 1,
            "date_left": None,
            "date_joined": fake.date_between(start_date="-8y", end_date="today").strftime('%Y-%m-%d'),
            "status": status_types[0]
        }
    },
    {
        "model": "core.associationmembership",
        "pk": 2,
        "fields": {
            "slug": 'ec47e37b-f30e-478f-9b7f-f9c7f3ca5aa6',
            "user": 3,
            "profile": 3,
            "association": 1,
            "type": 1,
            "date_left": None,
            "date_joined": fake.date_between(start_date="-8y", end_date="today").strftime('%Y-%m-%d'),
            "status": status_types[0]
        }
    },
    {
        "model": "core.associationmembership",
        "pk": 3,
        "fields": {
            "slug": "02626f34-735b-4744-89bd-1a2b67ac5837",
            "user": 4,
            "profile": 4,
            "association": 1,
            "type": 1,
            "date_left": None,
            "date_joined": fake.date_between(start_date="-8y", end_date="today").strftime('%Y-%m-%d'),
            "status": status_types[0]
        }
    },
    {
        "model": "MySU.associationmembership",
        "pk": 4,
        "fields": {
            "slug": "4b621c7c-b826-4607-b860-2308266d149b",
            "user": 2,
            "profile": 2,
            "association": 2,
            "type": 2,
            "date_left": None,
            "date_joined": fake.date_between(start_date="-8y", end_date="today").strftime('%Y-%m-%d'),
            "status": status_types[0]
        }
    },
    {
        "model": "MySU.associationmembership",
        "pk": 5,
        "fields": {
            "slug": "26ad699a-cb8a-4fcf-a709-437cc671a4e6",
            "user": 3,
            "profile": 3,
            "association": 2,
            "type": 2,
            "date_left": None,
            "date_joined": fake.date_between(start_date="-8y", end_date="today").strftime('%Y-%m-%d'),
            "status": status_types[0]
        }
    },
    {
        "model": "MySU.associationmembership",
        "pk": 6,
        "fields": {
            "slug": '38b0979c-ee9a-402b-aa90-f073d68d9386',
            "user": 4,
            "profile": 4,
            "association": 3,
            "type": 3,
            "date_left": None,
            "date_joined": fake.date_between(start_date="-8y", end_date="today").strftime('%Y-%m-%d'),
            "status": status_types[-1]
        }
    }
]

fixture_dir = "preset"
# with open('./MySU/fixtures/{}/association_memberships.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(assoc_mem_array, json_file, indent=4)

"""
----------------------------------------------------------------------------------------------------------------------
 RANDOMLY GENERATED
----------------------------------------------------------------------------------------------------------------------
"""
assoc_mem_array = []

for i, (a, x) in enumerate(user_association_sample):
    s = i + 30000
    assoc_mem_array.append(
        {
            "model": "MySU.associationmembership",
            "pk": s,
            "fields": {
                "slug": str(uuid.uuid4()),
                "user": x,
                "profile": x,
                "association": a,
                "type": a,
                "date_left": None,
                "date_joined": fake.date_between(start_date="-8y", end_date="today").strftime('%Y-%m-%d'),
                "status": status_types[random.randint(0, 3)]
            }
        },
    )

fixture_dir = "generated"
with open('./MySU/fixtures/{}/association_memberships.json'.format(fixture_dir), 'w+') as json_file:
    json.dump(assoc_mem_array, json_file, indent=4)
