import json
import uuid

number_of_association = 150

"""
----------------------------------------------------------------------------------------------------------------------
 PREDETERMINED
----------------------------------------------------------------------------------------------------------------------
"""
membertypes_array = [
    {
        "model": "MySU.membertype",
        "pk": 1,
        "fields": {
            "slug": 'a9e124fa-51e8-410c-83d6-f6919907a839',
            "association": 1,
            "type": "General",
            "only_chooseable_by_board": False,
            "start_date": '08-01',
            "end_date": '07-31',
            "membership_fee": 8.50,
        }
    },
    {
        "model": "MySU.membertype",
        "pk": 150,
        "fields": {
            "slug": '9e3f9f5a-15f2-489f-bd94-a92fed0f4154',
            "association": 1,
            "type": "Honorary Member",
            "only_chooseable_by_board": True,
            "start_date": '08-01',
            "end_date": '07-31',
            "membership_fee": 8.50,
        }
    },
    {
        "model": "MySU.membertype",
        "pk": 2,
        "fields": {
            "slug": '83109063-f45e-41ab-adb9-5517ae33a966',
            "association": 2,
            "type": "General",
            "only_chooseable_by_board": False,
            "start_date": '08-01',
            "end_date": '07-31',
            "membership_fee": 8.50,
        }
    },
    {
        "model": "MySU.membertype",
        "pk": 151,
        "fields": {
            "slug": 'd41b6adc-eea3-416e-b15c-2f6b9a15f8fb',
            "association": 2,
            "type": "Honorary Member",
            "only_chooseable_by_board": True,
            "start_date": '08-01',
            "end_date": '07-31',
            "membership_fee": 8.50,
        }
    },
    {
        "model": "MySU.membertype",
        "pk": 3,
        "fields": {
            "slug": 'c622b629-71b6-4b8e-a105-8ce99bb05104',
            "association": 3,
            "type": "General",
            "only_chooseable_by_board": False,
            "start_date": '08-01',
            "end_date": '07-31',
            "membership_fee": 8.50,
        }
    },
    {
        "model": "MySU.membertype",
        "pk": 152,
        "fields": {
            "slug": '6f9af56e-c6d3-4ff8-a49d-15501fdefb24',
            "association": 3,
            "type": "Honorary Member",
            "only_chooseable_by_board": True,
            "start_date": '08-01',
            "end_date": '07-31',
            "membership_fee": 8.50,
        }
    }
]

fixture_dir = "preset"
# with open('./MySU/fixtures/{}/membertypes.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(membertypes_array, json_file, indent=4)

"""
----------------------------------------------------------------------------------------------------------------------
 GENERATED
----------------------------------------------------------------------------------------------------------------------
"""
membertypes_array = []
for a in range(4, number_of_association):
    membertypes_array.append({
        "model": "MySU.membertype",
        "pk": a,
        "fields": {
            "slug": str(uuid.uuid4()),
            "association": a,
            "type": "General",
            "only_chooseable_by_board": False,
            "start_date": '08-01',
            "end_date": '07-31',
            "membership_fee": 8.50,
        }
    })
    membertypes_array.append({
        "model": "MySU.membertype",
        "pk": a + number_of_association - 1,
        "fields": {
            "slug": str(uuid.uuid4()),
            "association": a,
            "type": "Honorary Member",
            "only_chooseable_by_board": True,
            "start_date": '08-01',
            "end_date": '07-31',
            "membership_fee": 0
        }
    })

fixture_dir = "generated"
with open('./MySU/fixtures/{}/membertypes.json'.format(fixture_dir), 'w+') as json_file:
    json.dump(membertypes_array, json_file, indent=4)
