import json
import random
import uuid

from faker import Faker

fake = Faker('nl_NL')
single_profiles_num = 1000
double_profiles_num = 200
triple_profiles_num = 50
quadrupal_profiles_num = 10
too_many_profiles_num = 2
total_number_of_profiles = single_profiles_num + double_profiles_num + triple_profiles_num + quadrupal_profiles_num + too_many_profiles_num
single_profiles = [(1, s) for s in range(6, single_profiles_num)]
double_profiles = [(2, s) for s in range(6, double_profiles_num)]
triple_profiles = [(3, s) for s in range(6, triple_profiles_num)]
quadrupal_profiles = [(4, s) for s in range(6, quadrupal_profiles_num)]
too_many_profiles = [(5, s) for s in range(6, too_many_profiles_num)]
user_association_combinations = single_profiles + double_profiles + triple_profiles + quadrupal_profiles + too_many_profiles

"""
----------------------------------------------------------------------------------------------------------------------
 PREDETERMINED
----------------------------------------------------------------------------------------------------------------------
"""
profile_array = [
    {
        "model": "MySU.profile",
        "pk": 1,
        "fields": {
            "profilename": "Anonymised",
            "address": "Anonymised",
            "zip_code": "Anonymised",
            "city": "Anonymised",
            "country": "Anonymised",
            "slug": '925d833b-1eef-486f-a4b5-9f948d5b91c4',
            "user": 1,
            "student_number": "Anonymised",
            "given_name": "Anonymised",
            "first_names": "Anonymised",
            "surname": "Anonymised",
            "phone_number": "Anonymised",
            "email": None,
            "gender": None,
            "date_of_birth": None
        }
    },
    {
        "model": "MySU.profile",
        "pk": 2,
        "fields": {
            "profilename": "Admin Profile",
            "address": fake.street_address(),
            "zip_code": fake.postcode(),
            "city": fake.city(),
            "country": "Netherlands",
            "slug": '83d82e6d-9e9c-4705-a803-49865f32eab7',
            "user": 2,
            "student_number": "s1000000",
            "given_name": fake.first_name(),
            "first_names": fake.first_name(),
            "surname": fake.last_name(),
            "phone_number": fake.phone_number(),
            "email": fake.email(),
            "gender": None,
            "date_of_birth": fake.date_between(start_date="-30y", end_date="-15y").strftime('%Y-%m-%d')
        }
    },
    {
        "model": "MySU.profile",
        "pk": 3,
        "fields": {
            "profilename": "Board Profile",
            "address": fake.street_address(),
            "zip_code": fake.postcode(),
            "city": fake.city(),
            "country": "Netherlands",
            "slug": '75b5beed-97c2-4b43-bf3f-6c7ba85b3a5c',
            "user": 3,
            "student_number": 's1234567',
            "given_name": fake.first_name(),
            "first_names": fake.first_name(),
            "surname": fake.last_name(),
            "phone_number": fake.phone_number(),
            "email": fake.email(),
            "gender": None,
            "date_of_birth": fake.date_between(start_date="-30y", end_date="-15y").strftime('%Y-%m-%d')
        }
    },
    {
        "model": "MySU.profile",
        "pk": 4,
        "fields": {
            "profilename": "Ordinary User Profile",
            "address": fake.street_address(),
            "zip_code": fake.postcode(),
            "city": fake.city(),
            "country": "Netherlands",
            "slug": 'be3f26fb-97d1-4270-8367-3e8539b3484d',
            "user": 4,
            "student_number": "s7654321",
            "given_name": fake.first_name(),
            "first_names": fake.first_name(),
            "surname": fake.last_name(),
            "phone_number": fake.phone_number(),
            "email": fake.email(),
            "gender": None,
            "date_of_birth": fake.date_between(start_date="-30y", end_date="-15y").strftime('%Y-%m-%d')
        }
    }]

# fixture_dir = "preset"
# with open('./MySU/fixtures/{}/profile.json'.format(fixture_dir), 'w+') as json_file:
#    json.dump(profile_array, json_file, indent=4)

"""
----------------------------------------------------------------------------------------------------------------------
 RANDOMLY GENERATED
----------------------------------------------------------------------------------------------------------------------
"""
profile_array = []

for i, (p, s) in enumerate(user_association_combinations):
    profile_array.append(
        {
            "model": "MySU.profile",
            "pk": i + 6,
            "fields": {
                "profilename": fake.province() + " %s" % p,
                "address": fake.street_address(),
                "zip_code": fake.postcode(),
                "city": fake.city(),
                "country": "Netherlands",
                "slug": str(uuid.uuid4()),
                "user": s,
                "student_number": None,
                "given_name": fake.first_name(),
                "first_names": fake.first_name(),
                "surname": fake.last_name(),
                "phone_number": fake.phone_number(),
                "email": fake.email(),
                "iban": fake.iban(),
                "gender": None,
                "date_of_birth": fake.date_between(start_date="-30y", end_date="-15y").strftime('%Y-%m-%d')
            }
        }
    )

fixture_dir = "generated"
with open('./MySU/fixtures/{}/profile.json'.format(fixture_dir), 'w+') as json_file:
    json.dump(profile_array, json_file, indent=4)
