import datetime
import json
import random
import uuid

from django.utils.text import slugify

number_societies_to_generate = 10
content_type_natural_key = ['MySU', 'society']
permission_natural_key = ['society', 'MySU', 'society']

"""
----------------------------------------------------------------------------------------------------------------------
 PREDETERMINED
----------------------------------------------------------------------------------------------------------------------
"""
society_array = []
board_membergroup_array = []
board_memberships_array = []
board_society_memberships_array = []
board_profile_array = []
board_objectpermissions_array = []
"""
--------------------------------------
 RA
--------------------------------------
"""

founding_date = str(datetime.date.min)

society_array.append({
    'model': 'core.society',
    'pk': 3,
    'fields': {
        'phone_number': '+31687654321',
        'address': 'Dewiring 8',
        'zip_code': '4786 JY',
        'city': 'Memphis',
        'country': 'Egypt',
        'slug': slugify("Solar Barque Companionship Ra"),
        'name': "Solar Barque Companionship Helios",
        'short_name': 'Ra',
        'founding_date': founding_date,
        'email': 'pharaoh@amon.ra',
        'color': '#778800',
        'logo': 'association/logo/ankh.jpg',
        'dissolution_date': None,
        'postal_address': '',
    }
})

board_objectpermissions_array.append(
    {
        "model": "guardian.groupobjectpermission",
        "pk": 300,
        "fields": {
            "object_pk": 3,
            "content_type": content_type_natural_key,
            "permission": permission_natural_key,
            "group": 1
        }
    }
)


fixture_dir = "preset"
# with open('./MySU/fixtures/{}/society.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(society_array, json_file, indent=4)

"""
----------------------------------------------------------------------------------------------------------------------
 RANDOM GENERATED
----------------------------------------------------------------------------------------------------------------------
"""
