import json
import random
import uuid

from faker import Faker

fake = Faker('nl_NL')
"""
----------------------------------------------------------------------------------------------------------------------
 PREDETERMINED
----------------------------------------------------------------------------------------------------------------------
"""
user_array = [
    {
        "model": "core.user",
        "pk": 1,
        "fields": {
            "password": "!0Ds1Inh6R4SS52bbmYRlZ6PWmZ7DVZKXASlw8nxS",
            "last_login": None,
            "is_superuser": False,
            "slug": "a898676e-8bf5-4b81-bd83-12129be2730a",
            "username": "AnonymousUser",
            "date_joined": "2017-08-04",
            "date_activated": None,
            "date_left": None,
            "is_active": True,
            "is_staff": False,
        }
    },
    {
        "model": "core.user",
        "pk": 2,
        "fields": {
            "password": "pbkdf2_sha256$30000$FLYQhSXqcuTl$OrWoIIqVB3kw0t7/hSLP44jvtmBVaREoLlBKu+EIf3k=",
            "last_login": "2017-12-06T13:27:57.849Z",
            "is_superuser": True,
            "slug": "5b5742e6-b52b-4133-8151-a49d7b186026",
            "username": "s1000000",
            "date_joined": "2017-08-04",
            "date_activated": "2017-08-04",
            "date_left": None,
            "is_active": True,
            "is_staff": True,
            "preferred_profile": 2
        }
    },
    {
        "model": "core.user",
        "pk": 3,
        "fields": {
            "password": "pbkdf2_sha256$30000$FLYQhSXqcuTl$OrWoIIqVB3kw0t7/hSLP44jvtmBVaREoLlBKu+EIf3k=",
            "last_login": "2017-12-06T13:27:57.849Z",
            "is_superuser": False,
            "slug": 'efc00c85-87a8-446d-ad71-2d2d07d4b588',
            "username": "s1234567",
            "date_joined": "2017-08-04",
            "date_activated": "2017-08-04",
            "date_left": None,
            "is_active": True,
            "is_staff": False,
            "preferred_profile": 3
        }
    },
    {
        "model": "core.user",
        "pk": 4,
        "fields": {
            "password": "pbkdf2_sha256$30000$FLYQhSXqcuTl$OrWoIIqVB3kw0t7/hSLP44jvtmBVaREoLlBKu+EIf3k=",
            "last_login": "2017-12-06T13:27:57.849Z",
            "is_superuser": False,
            "slug": '0ef29b2f-8e6d-4780-830a-a466be72fdb4',
            "username": "s7654321",
            "date_joined": "2017-08-04",
            "date_activated": "2017-08-04",
            "date_left": None,
            "is_active": True,
            "is_staff": False,
            "preferred_profile": 4
        }
    },
    {
        "model": "core.user",
        "pk": 5,
        "fields": {
            "password": "pbkdf2_sha256$30000$FLYQhSXqcuTl$OrWoIIqVB3kw0t7/hSLP44jvtmBVaREoLlBKu+EIf3k=",
            "last_login": "2017-12-06T13:27:57.849Z",
            "is_superuser": False,
            "slug": 'c75fdcc3-9fca-43f4-959f-cf257c4c3165',
            "username": "s2000000",
            "date_joined": "2017-08-04",
            "date_activated": "2017-08-04",
            "date_left": None,
            "is_active": True,
            "is_staff": False,
            "preferred_profile": None
        }
    },
    {
        "model": "core.user",
        "pk": 6,
        "fields": {
            "password": "pbkdf2_sha256$30000$FLYQhSXqcuTl$OrWoIIqVB3kw0t7/hSLP44jvtmBVaREoLlBKu+EIf3k=",
            "last_login": "2017-12-06T13:27:57.849Z",
            "is_superuser": False,
            "slug": 'ab14ea25-9e43-466e-8e78-de078a746fcc',
            "username": "s3000000",
            "date_joined": "2017-08-04",
            "date_activated": "2017-08-04",
            "date_left": None,
            "is_active": True,
            "is_staff": False,
            "preferred_profile": None
        }
    }
]

fixture_dir = "preset"
# with open('./MySU/fixtures/{}/user.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(user_array, json_file, indent=4)

"""
----------------------------------------------------------------------------------------------------------------------
 RANDOMLY GENERATED
----------------------------------------------------------------------------------------------------------------------
"""
user_array = []
student_number_range = random.sample(range(1000000, 2000000), 1000 - 7)
for i, s in enumerate(student_number_range):
    p = i + 7
    user_array.append(
        {
            "model": "core.user",
            "pk": p,
            "fields": {
                "password": "pbkdf2_sha256$30000$FLYQhSXqcuTl$OrWoIIqVB3kw0t7/hSLP44jvtmBVaREoLlBKu+EIf3k=",
                "last_login": "2017-12-06T13:27:57.849Z",
                "is_superuser": False,
                "slug": str(uuid.uuid4()),
                "username": "s" + str(s),
                "date_joined": fake.date_between(start_date="-10y", end_date="today").strftime('%Y-%m-%d'),
                "date_activated": "2017-11-26",
                "date_left": None,
                "is_active": True,
                "is_staff": False,
                "preferred_profile": p,
            }
        },
    )

fixture_dir = "generated"
with open('./MySU/fixtures/{}/user.json'.format(fixture_dir), 'w+') as json_file:
    json.dump(user_array, json_file, indent=4)
