#!/bin/bash

# ------------------------------------------
# Handling parameters
# ------------------------------------------
ARGS=$(getopt -o h --long help -- "$@")
eval set -- "$ARGS"
while true; do
    case "$1" in
        -h | --help ) HELP=true; shift ;;
        * ) break ;;
    esac
done

HELP=${HELP:-false}


if $HELP; then
    cat << "EOF"
 This script is an aid for creating fixtures. This deletes the old generates fixtures

 The following is done in order:
  - Create fixtures
  - Overwrite fixture files

 The following parameters are able to be used:
  -h | --help       Raise this help
EOF
    exit 0
fi

for f in bin/fixture_generators/*.py;
    do python "$f"
    printf "\e[1;32m%-80s%-4s done\e[0m\n"  " ${f}" " "
done
