#!/usr/bin/env python
import os
import socket
import sys

if __name__ == "__main__":
    hostname = socket.gethostname()
    if hostname.startswith("runner"):
        os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.test")
    elif hostname in ('sun.snt.utwente.nl', 'venus'):
        os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.develop")
    elif hostname in ('linux401', 'mars'):
        if "api" in os.path.dirname(os.path.realpath(__file__)):
            os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.production")
        else:
            os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.pilot")
    else:
        os.environ.setdefault("DJANGO_SETTINGS_MODULE", "MySU.settings.local")

    try:
        from django.core.management import execute_from_command_line
    except ImportError:
        # The above import may fail for some other reason. Ensure that the
        # issue is really that Django is missing to avoid masking other
        # exceptions on Python 2.
        try:
            import django
        except ImportError:
            raise ImportError(
                "Couldn't import Django. Are you sure it's installed and "
                "available on your PYTHONPATH environment variable? Did you "
                "forget to activate a virtual environment?"
            )
        raise
    execute_from_command_line(sys.argv)
