from rest_framework.test import APIClient
from rest_framework.test import APITestCase

from apps.MySU.models import User
from tests.tests import fixtures


class InstitutionTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_put(self):
        data = {'short_name': 'kaas'}
        response = self.client.put('/institutions/utwente', data=data)
        self.assertEqual(403, response.status_code, "Error: {}, Input: institution pk 1".format(response.data))

    def test_patch(self):
        data = {'short_name': 'kaas'}
        response = self.client.patch('/institutions/utwente', data=data)
        self.assertEqual(403, response.status_code, "Error: {}, Input: institution pk 1".format(response.data))

    def test_post(self):
        data = {'short_name': 'kaas', 'name': 'Kaas: het beste!'}
        response = self.client.post('/institutions', data=data)
        self.assertEqual(403, response.status_code, "Error: {}, Input: institution pk 1".format(response.data))

    def test_get(self):
        response = self.client.get('/institutions/utwente')
        self.assertEqual(200, response.status_code, "Error: {}, Input: institution pk 1".format(response.data))

    def test_list(self):
        response = self.client.get('/institutions')
        self.assertEqual(200, response.status_code, "Error: {}, Input: List of all institutions".format(response.data))
        self.assertEqual(response.data['count'], 1, msg="number of institutions doesn't match expected number of institutions")
