from rest_framework.test import APIClient
from rest_framework.test import APITestCase

from apps.MySU.models import User
from tests.tests import fixtures


class MailingTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_list(self):
        response = self.client.get('/emails')
        self.assertEqual(200, response.status_code)
        self.assertEqual({"count": 1, "results": ["board@union.nl"]}, response.data)

    def test_post(self):
        data = {
            "from_email": "piet@sandbox53639bda80fa42b99aa345f2658b137c.mailgun.org",
            "to": [
                "sun@union.utwente.nl"
            ],
            "subject": "piet@hotmail.com",
            "body": "piet@hotmail.com"
        }
        response = self.client.post('/emails', data=data)
        self.assertEqual(201, response.status_code)
        self.assertEqual(data, response.data)
