from rest_framework.test import APIClient
from rest_framework.test import APITestCase
from rest_framework.test import APITransactionTestCase

from apps.MySU.models import User
from tests.tests import fixtures


class ModulesTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_patch_student_union(self):
        data = {
            "documents": True,
        }
        response = self.client.patch('/modules/c725889d-3352-4c30-9358-911bd8e1c7a5', data=data)
        self.assertEqual(200, response.status_code, "Error: {}".format(response.data))
        self.assertTrue(response.data["documents"], "Error: {}".format(response.data))

    def test_patch_helios(self):
        data = {
            "documents": True,
        }
        response = self.client.patch('/modules/e80f61a7-56cd-4d97-8453-fd659835fe4d', data=data)
        self.assertEqual(403, response.status_code, "Error: {}".format(response.data))

    def test_post_student_union(self):
        data = {
            "association": 'http://testserver/associations/student-union',
        }
        response = self.client.post('/modules', data=data)
        self.assertEqual(403, response.status_code, "Error: {}".format(response.data))

    def test_post_helios(self):
        data = {
            "association": 'http://testserver/associations/rising-sun-alienship-helios',
        }
        response = self.client.post('/modules', data=data)
        self.assertEqual(403, response.status_code, "Error: {}".format(response.data))

    def test_get(self):
        response = self.client.get('/modules/c725889d-3352-4c30-9358-911bd8e1c7a5')
        self.assertEqual(200, response.status_code, "Error: {}".format(response.data))

    def test_list(self):
        response = self.client.get('/modules')
        self.assertEqual(200, response.status_code, "Error: {}".format(response.data))
        self.assertEqual(response.data['count'], 3, msg="number of modules doesn't match expected number of modules")
