from rest_framework.test import APIClient
from rest_framework.test import APITestCase
from rest_framework.test import APITransactionTestCase

from apps.MySU.models import User
from tests.tests import fixtures


class NewsTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_patch_system(self):
        data = {
            "text": 'Really?!',
        }
        response = self.client.patch('/news/1fcd6c07-075f-4613-8bf8-16d4ec38fabf', data=data)
        self.assertEqual(404, response.status_code, "Error: {}".format(response.data))

    def test_patch_student_union(self):
        data = {
            "text": 'Really?!',
        }
        response = self.client.patch('/news/a9e124fa-51e8-410c-83d6-f6919907a839', data=data)
        self.assertEqual(200, response.status_code, "Error: {}".format(response.data))

    def test_patch_helios(self):
        data = {
            "text": 'Really?!',
        }
        response = self.client.patch('/news/c32cbd6b-e026-4753-b30e-1d2eb578b55e', data=data)
        self.assertEqual(403, response.status_code, "Error: {}".format(response.data))

    def test_post_student_union(self):
        data = {
            "association": 'http://testserver/associations/student-union',
            "title": 'Test',
            "text": 'Really?!',
        }
        response = self.client.post('/news', data=data)
        self.assertEqual(201, response.status_code, "Error: {}".format(response.data))

    def test_post_helios(self):
        data = {
            "association": 'http://testserver/associations/rising-sun-alienship-helios',
            "title": 'Test',
            "text": 'Really?!',
        }
        response = self.client.post('/news', data=data)
        self.assertEqual(400, response.status_code, "Error: {}".format(response.data))

    def test_get(self):
        response = self.client.get('/news/a9e124fa-51e8-410c-83d6-f6919907a839')
        self.assertEqual(200, response.status_code, "Error: {}, Input: List of all news".format(response.data))

    def test_list(self):
        response = self.client.get('/news')
        self.assertEqual(200, response.status_code, "Error: {}, Input: List of all news".format(response.data))
        self.assertEqual(response.data['count'], 3, msg="number of profiles doesn't match expected number of profiles")
