from rest_framework.test import APIClient
from rest_framework.test import APITestCase

from apps.MySU.models import User
from tests.tests import fixtures


class NotificationTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    # def test_put_other(self):
    #     # Student-Union
    #     data = {
    #         "sender": 'http://testserver/associations/student-union',
    #         "to": 'http://testserver/profiles/75b5beed-97c2-4b43-bf3f-6c7ba85b3a5c',
    #         "receiver": 'http://testserver/users/0ef29b2f-8e6d-4780-830a-a466be72fdb4',
    #         "message": "Sucks you joined MySU. Less chocolate milk :("
    #     }
    #     response = self.client.put('/notifications/8331c272-825d-4d6a-abd7-4f39fd964322', data=data)
    #     self.assertEqual(404, response.status_code, response.data)
    #
    #     # Helios
    #     data = {
    #         "sender": 'http://testserver/associations/student-union',
    #         "to": 'http://testserver/profiles/be3f26fb-97d1-4270-8367-3e8539b3484d',
    #         "receiver": 'http://testserver/users/0ef29b2f-8e6d-4780-830a-a466be72fdb4',
    #         "message": "Sucks you joined Helios. You're blocking our sun :("
    #     }
    #     response = self.client.put('/notifications/ecdb42d3-930a-4a3b-bf0e-9443ef784603', data=data)
    #     self.assertEqual(404, response.status_code, response.data)
    #
    # def test_put_self(self):
    #     # TODO FIX
    #     response = self.client.patch('/notifications/e3775f3f-7c0b-417b-821c-a16d474ddda5', data={'read': True})
    #     self.assertEqual(200, response.status_code, response.data)
    #     response = self.client.patch('/notifications/b49794bf-5b87-485f-964e-fcc2216fea94', data={'read': True})
    #     self.assertEqual(200, response.status_code, response.data)
    #
    # def test_patch_other(self):
    #     # Student-Union
    #     response = self.client.patch('/notifications/8331c272-825d-4d6a-abd7-4f39fd964322', data={'read': True})
    #     self.assertEqual(404, response.status_code, response.data)
    #
    #     # Helios
    #     response = self.client.patch('/notifications/ecdb42d3-930a-4a3b-bf0e-9443ef784603', data={'read': True})
    #     self.assertEqual(404, response.status_code, response.data)
    #
    # def test_patch_self(self):
    #     response = self.client.patch('/notifications/e3775f3f-7c0b-417b-821c-a16d474ddda5', data={'read': True})
    #     self.assertEqual(200, response.status_code, response.data)
    #     response = self.client.patch('/notifications/b49794bf-5b87-485f-964e-fcc2216fea94', data={'read': True})
    #     self.assertEqual(200, response.status_code, response.data)
    #
    def test_post(self):
        response = self.client.post('/notifications', data={})
        self.assertEqual(403, response.status_code)

    def test_get(self):
        response = self.client.get('/notifications/e3775f3f-7c0b-417b-821c-a16d474ddda5')
        self.assertEqual(200, response.status_code)
        response = self.client.get('/notifications/8331c272-825d-4d6a-abd7-4f39fd964322')
        self.assertEqual(404, response.status_code)

    def test_list(self):
        response = self.client.get('/notifications')
        self.assertEqual(200, response.status_code)
        self.assertEqual(response.data['count'], 2,
                         msg="number of notifications doesn't match expected number of notifications")

    def test_delete_self(self):
        response = self.client.delete('/notifications/e3775f3f-7c0b-417b-821c-a16d474ddda5')
        self.assertEqual(204, response.status_code)

    def test_delete_other(self):
        response = self.client.delete('/notifications/8331c272-825d-4d6a-abd7-4f39fd964322')
        self.assertEqual(404, response.status_code)
