import datetime

from rest_framework.test import APIClient
from rest_framework.test import APITestCase
from rest_framework.utils import json

from apps.MySU.models import User
from tests.tests import fixtures


class SocietyTestCase(APITestCase):
    fixtures = fixtures

    def test_list_auth(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)
        response = self.client.get('/statistics/societies')
        self.assertEqual(200, response.status_code)
        response_message = {
            "data": [{"name": "Solar Barque Companionship Ra", "number_of_members": 1, "number_of_active_members": 0}],
            "status": "success"
        }
        self.assertEqual(response_message, json.loads(response.content.decode('utf-8')))

    def test_list_notauth(self):
        self.user = User.objects.get(username='s1000000')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)
        response = self.client.get('/statistics/societies')
        self.assertEqual(200, response.status_code)
        response_message = {
            "reason": "You do not have the permissions required to view the statistics of societies.",
            "status": "failed"
        }
        self.assertEqual(response_message, json.loads(response.content.decode('utf-8')))
