from rest_framework.test import APIClient
from rest_framework.test import APITestCase

from apps.MySU.models import User
from tests.tests import fixtures


class StudyTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_get(self):
        response = self.client.get('/studies/89ac22dc-5a71-4fac-8af4-5844b7eb71a1')
        self.assertEqual(200, response.status_code, "Error: {}, Input: study pk 1".format(response.data))

    def test_list(self):
        response = self.client.get('/studies')
        self.assertEqual(200, response.status_code, "Error: {}, Input: List of all studies".format(response.data))
        self.assertEqual(response.data['count'], 2, msg="number of studies doesn't match expected number of studies")
