from rest_framework.test import APIClient
from rest_framework.test import APITestCase
from apps.MySU.models import StudyRecord
from apps.MySU.serializers import StudyRecordSerializer

from apps.MySU.models import User
from tests.tests import fixtures


class StudyRecordsTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)
        StudyRecord.objects.create(phase="Bachelor", year="2020", date_start="2018-09-01", date_end="2020-07-05", is_primary=True, institution_id="1", student_id="2", study_id="1")

    def test_get_self(self):
        response = self.client.get('/studyrecords/89ac22dc-5a71-4fac-8af4-5844b7eb71a1')
        self.assertEqual(200,response.status_code)


    def test_list(self):
        response = self.client.get('/studyrecords')
        self.assertEqual(200, response.status_code, "Error: {}, Input: List of all study records".format(response.data))
        self.assertEqual(response.data['count'], 0, msg="number of study records doesn't match expected number of study records")
