from rest_framework.test import APIClient
from rest_framework.test import APITestCase

from apps.MySU.models import User
from tests.tests import fixtures


class EnrollmentOptionTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_put_helios(self):
        pass

    def test_put_student_union(self):
        pass

    def test_patch_helios(self):
        pass

    def test_patch_student_union(self):
        pass

    def test_post_helios(self):
        pass

    def test_post_student_union(self):
        pass

    def test_get_helios(self):
        response = self.client.get("/enrollment_options/e3775f3f-7c0b-417b-821c-a16d474ddda5")
        self.assertEqual(200, response.status_code, "Error: {}, Input: Enrollment option for helios".format(response.data))

    def test_get_student_union(self):
        response = self.client.get("/enrollment_options/89ac22dc-5a71-4fac-8af4-5844b7eb71a1")
        self.assertEqual(200, response.status_code, "Error: {}, Input: Enrollment option for student union".format(response.data))

    def test_list(self):
        response = self.client.get('/enrollment_options')
        self.assertEqual(200, response.status_code, "Error: {}, Input: List of all enrollment options".format(response.data))
        self.assertEqual(response.data['count'], 5, msg="number of enrollment options doesn't match expected number of enrollment options")

    def test_delete(self):
        response = self.client.delete('/enrollment_options/00a9c8bd-b51b-4904-ace6-8aff2ee27dba')
        self.assertEqual(204, response.status_code)
        response = self.client.delete('/enrollment_options/89ac22dc-5a71-4fac-8af4-5844b7eb71a1')
        self.assertEqual(400, response.status_code)
