import io

from django.core import management
from django.test import TransactionTestCase
from django_cron.models import CronJobLog

from tests.tests import fixtures


class CronTestCase(TransactionTestCase):
    fixtures = fixtures

    def call_cron(self, cron, *args, **kwargs):
        with io.StringIO() as out:
            management.call_command('runcrons', cron, stdout=out, force=True, *args, **kwargs)
            output = out.getvalue()
        return output

    def test_membership_period_end(self):
        """  """

        count = CronJobLog.objects.all().count()
        self.assertEqual(0, count, "Number of expected CronJobLogs doesn't match the expected amount.")

        out = self.call_cron("MySU.cron.membership_period_end.MembershipPeriodEndCron")
        self.assertEqual("", out, "Output should be empty")

        count = CronJobLog.objects.all().count()
        self.assertEqual(1, count, "Number of expected CronJobLogs should be higher now.")
        created_cron_job_log = CronJobLog.objects.all().order_by("-id").first()
        self.assertTrue(created_cron_job_log.is_success, "Cron job is expected to succees, but didn't.")
