import datetime

from dateutil import relativedelta
from dateutil import tz
from rest_framework.test import APIClient
from rest_framework.test import APITestCase

from apps.MySU.models import User
from tests.tests import fixtures


class DebtCollectionTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_put_helios(self):
        pass

    def test_put_student_union(self):
        pass

    def test_patch_helios(self):
        pass

    def test_patch_student_union(self):
        pass

    def test_post_helios(self):
        data = {
            "association": "/associations/rising-sun-alienship-helios",
            'debt_collection_date': datetime.datetime.now(tz=tz.UTC) + relativedelta.relativedelta(days=1)
        }
        response = self.client.post('/debt_collections', data=data)
        self.assertEqual(400, response.status_code, response.data)

    def test_post_student_union(self):
        data = {
            "association": "/associations/student-union",
            'debt_collection_date': datetime.datetime.now(tz=tz.UTC) + relativedelta.relativedelta(days=1),
            "include_events": ["/events/ebbf1381-5bf3-428d-a6cf-96039911a170"]
        }
        response = self.client.post('/debt_collections', data=data)
        self.assertEqual(201, response.status_code, response.data)

    def test_list(self):
        response = self.client.get('/debt_collections')
        self.assertEqual(200, response.status_code, "Error: {}, Input: List of all debt collections".format(response.data))
        self.assertEqual(response.data['count'], 1, msg="number of debt collections doesn't match expected number of debt collections")

    def test_get_student_union(self):
        response = self.client.get('/debt_collections/87d7a1f2-5c6d-4090-b7c6-7b2f1f3d27f4')
        self.assertEqual(200, response.status_code, response.data)

    def test_get_helios(self):
        pass

    def test_delete_student_union(self):
        response = self.client.delete('/debt_collections/87d7a1f2-5c6d-4090-b7c6-7b2f1f3d27f4')
        # Enable this line after deletion of debt collections is supported
        self.assertEqual(400, response.status_code, response.data)

    def test_delete_helios(self):
        pass

    def test_detail(self):
        response = self.client.get('/debt_collections/87d7a1f2-5c6d-4090-b7c6-7b2f1f3d27f4/detail')
        self.assertEqual(200, response.status_code, response)
