from rest_framework.test import APIClient
from rest_framework.test import APITestCase
from rest_framework_extensions import utils
from rest_framework_extensions.settings import extensions_api_settings

from apps.financial.models import Invoice
from apps.MySU.models import User
from tests.tests import fixtures


class DebtEntryTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_put_helios(self):
        # 403
        pass

    def test_put_student_union(self):
        data = {
            'cancelled': True
        }
        response = self.client.put('/debt_entries/9156ef62-8077-4373-a0eb-52d5ebcfff72', data=data)
        self.assertEqual(405, response.status_code, response.data)

    def test_patch_helios(self):
        # 403
        pass

    def test_patch_student_union(self):
        data = {
            'cancelled': True
        }
        response = self.client.patch('/debt_entries/9156ef62-8077-4373-a0eb-52d5ebcfff72', data=data)
        self.assertEqual(200, response.status_code, response.data)
        self.assertTrue(response.data['cancelled'])
        self.assertFalse(response.data['paid_after_cancellation'])
        data = {
            'cancelled': False
        }
        response = self.client.patch('/debt_entries/9156ef62-8077-4373-a0eb-52d5ebcfff72', data=data)
        self.assertEqual(200, response.status_code, response.data)
        self.assertFalse(response.data['cancelled'])
        self.assertFalse(response.data['paid_after_cancellation'])
        data = {
            'paid_after_cancellation': True,
        }
        response = self.client.patch('/debt_entries/9156ef62-8077-4373-a0eb-52d5ebcfff72', data=data)
        self.assertEqual(200, response.status_code, response.data)
        self.assertFalse(response.data['cancelled'])
        self.assertTrue(response.data['paid_after_cancellation'])
        data = {
            'cancelled': True,
            'paid_after_cancellation': True,
        }
        response = self.client.patch('/debt_entries/9156ef62-8077-4373-a0eb-52d5ebcfff72', data=data)
        self.assertEqual(200, response.status_code, response.data)
        self.assertTrue(response.data['cancelled'])
        self.assertTrue(response.data['paid_after_cancellation'])

    def test_post_helios(self):
        # 403
        pass

    def test_post_student_union(self):
        # 403
        pass

    def test_get_helios(self):
        # 404
        pass

    def test_get_student_union(self):
        response = self.client.get('/debt_entries/9156ef62-8077-4373-a0eb-52d5ebcfff72')
        self.assertEqual(200, response.status_code)

    def test_list(self):
        response = self.client.get('/debt_entries')
        self.assertEqual(200, response.status_code)
        self.assertEqual(1, response.data['count'], response.data)

    def test_delete_helios(self):
        # 403
        pass

    def test_delete_student_union(self):
        # 403
        pass
